Subject: devel-digest V2 #165
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest           Monday, May 10 1999           Volume 02 : Number 165

In this issue:

    patch-2.2.7-rmk3.gz
    2.2.7
    Re: 2.2.7
    Re: 2.2.7
    Re: 2.2.7
    Re: 2.2.7 
    Re: 2.2.7 
    Re: 2.2.7
    Re: 2.2.7
    Re: 2.2.7

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Sun, 9 May 1999 09:52:05 +0100 (BST)
From: Russell King - ARM Linux Admin <[email-masked]>
Subject: patch-2.2.7-rmk3.gz

Hi.

The 2.2.7-rmk3 patch is now on the FTP site.  Those of you who are on
the ball (so to speak) shall probably ask what about -rmk2?  Well,
erm, -rmk2 doesn't boot on at least one architecture.

Anyway, -rmk3 includes:

 * EtherH now correctly initialises on boot when compiled into the
   kernel.

 * DC21285 PCI configuration off-by-one fixed (PhilB).

 * Optimisation for LDR timings in a lot of the assembler.

 * Breakpoint r0 corruption fixed. (PhilB)
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 9 May 1999 17:51:07 +0100 (BST)
From: Russell King - ARM Linux Admin <[email-masked]>
Subject: 2.2.7

Is anyone out there using 2.2.7 successfully?

2.2.7 is giving me the following symptoms:

 1. EBSA110 won't boot properly - INIT 2.64 complains of a segmentation
    violation.  Turning off the Dcache and writebuffer allows it to boot.

 2. NetWinders won't IP auto-config, but the network interface is ok,
    plus bootptest works correctly.  They do boot properly though.
    However, second boot succeeded correctly.

 3. Matthew Wilcox is having the same problem as (1) but on his RiscPC,
    plus he's having grief with ether3 16/8-bit detection.  (binutils 2.9.1.0.15)

 4. Matthew Wilcox's RPC kernel stops after 'Freeing init section' message
    when compiled with binutils 2.9.1.0.23

1, 2) are using the same ARM tree.  3, 4) are using 2.2.7-rmk3.

Anyone got any ideas, cause I'm out of them at the moment!
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: 09 May 1999 18:10:15 +0100
From: Dag Brattli <[email-masked]>
Subject: Re: 2.2.7

Russell King - ARM Linux Admin <[email-masked]> writes:

> Is anyone out there using 2.2.7 successfully?
 
Linux-2.2.7-rmk1 works fine for me! No problems at all! I guess you already 
know that I'm using a NetWinder. IrDA is btw. really stable as well!

- -- Dag

- -- 
   / Dag Brattli                   | The Linux-IrDA Project               /
  // University of Tromsoe, Norway | Infrared communication for Linux    //
 /// http://www.cs.uit.no/~dagb    | http://www.cs.uit.no/linux-irda/   ///
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 9 May 1999 19:15:52 +0200
From: Matthew Wilcox <[email-masked]>
Subject: Re: 2.2.7

On Sun, May 09, 1999 at 05:51:07PM +0100, Russell King - ARM Linux Admin wrote:
> Is anyone out there using 2.2.7 successfully?

>  1. EBSA110 won't boot properly - INIT 2.64 complains of a segmentation
>     violation.  Turning off the Dcache and writebuffer allows it to boot.

Ditto here on the RiscPC.

>  3. Matthew Wilcox is having the same problem as (1) but on his RiscPC,
>     plus he's having grief with ether3 16/8-bit detection.  (binutils 2.9.1.0.15)

Updated to binutils 2.9.1.0.23 -- same problem.  By the way, all the
places pointed to from philb & chris rutter's pages on building a cross
compiler are empty of binutils.  I grabbed vanilla 2.9.1.0.23 from
Debian's sources directory.

>  4. Matthew Wilcox's RPC kernel stops after 'Freeing init section' message
>     when compiled with binutils 2.9.1.0.23

This seems to be fixed by turning off the dcache as you suggested.

- -- 
Matthew Wilcox <[email-masked]>
"Windows and MacOS are products, contrived by engineers in the service of
specific companies. Unix, by contrast, is not so much a product as it is a
painstakingly compiled oral history of the hacker subculture." - N Stephenson
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 9 May 1999 18:38:19 +0100 (BST)
From: Russell King - ARM Linux Admin <[email-masked]>
Subject: Re: 2.2.7

Russell King - ARM Linux Admin writes:
> Is anyone out there using 2.2.7 successfully?

Undoing all the LDR delay-slot optimisations seems to have fixed the apparant
Dcache problem.  I'm now going to re-introduce them one by one to find out
if there's one in particular that's causing this bizarre behaviour.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 09 May 1999 22:43:10 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: 2.2.7 

>Updated to binutils 2.9.1.0.23 -- same problem.  By the way, all the
>places pointed to from philb & chris rutter's pages on building a cross
>compiler are empty of binutils.  I grabbed vanilla 2.9.1.0.23 from
>Debian's sources directory.

Yeah, HJ moved jobs and I didn't update the web site.  Sorry. Try somewhere on 
ftp.varesearch.com for the latest.

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 09 May 1999 22:42:36 +0100
From: Philip Blundell <[email-masked]>
Subject: Re: 2.2.7 

Russell King wrote:

>Is anyone out there using 2.2.7 successfully?

Yes, on both CATS and NetWinder.  I ran crashme for almost 24 hours on the 
CATS a couple of days ago with no problems.

p.

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 9 May 1999 23:22:49 +0100 (BST)
From: Nicholas Clark <[email-masked]>
Subject: Re: 2.2.7

In the last mail Russell King - ARM Linux Admin said:
> Is anyone out there using 2.2.7 successfully?

2.2.7-rmk1 is fine
rmk2 didn't boot

> Anyone got any ideas, cause I'm out of them at the moment!

Persuade NATO that Redmond, Washington is a suburb of Serbia. Describe it as
"intelligence" (what you tell them, not Redmond itself.)

Nick
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 9 May 1999 23:42:33 +0100 (BST)
From: Russell King - ARM Linux Admin <[email-masked]>
Subject: Re: 2.2.7

Russell King - ARM Linux Admin writes:
>  1. EBSA110 won't boot properly - INIT 2.64 complains of a segv...
>  2. NetWinders won't IP auto-config, but the network interface is ok...
>  3. Matthew Wilcox is having the same problem as (1) but on his RiscPC...
>  4. Matthew Wilcox's RPC kernel stops after 'Freeing init section' message...

Ok, I think I've solved these - find -rmk4 on the FTP site.

It was caused by some of the LDR optimisations allowing the stm {}^'s to be
too close to following instructions (yes, /that/ StrongARM bug again)...
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.linux.org.uk/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Sun, 09 May 1999 23:52:00 -0400
From: Robert Kondner <[email-masked]>
Subject: Re: 2.2.7

How about a Woodstock Style Linux convention in a field near
Bills house. Rock and Roll, Beer and Code.

Nicholas Clark wrote:
> 
> In the last mail Russell King - ARM Linux Admin said:
> > Is anyone out there using 2.2.7 successfully?
> 
> 2.2.7-rmk1 is fine
> rmk2 didn't boot
> 
> > Anyone got any ideas, cause I'm out of them at the moment!
> 
> Persuade NATO that Redmond, Washington is a suburb of Serbia. Describe it as
> "intelligence" (what you tell them, not Redmond itself.)
> 
> Nick
> unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #165
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.